/*
 *	Title:		o3find
 *	Version:	0.62
 *	Created by:	Paolo Copello
 *	Home page:	http://web.tiscali.it/fanelia
 *	
 *	Copyright (C) 2003 Paolo Copello
 *	
 *	******************************************
 *	This file is part of o3find
 *	******************************************
 *	
 *	o3find is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	any later version.
 *	
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *	
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *	
 */





#include <string>
using namespace std;

#include "ZipArchive.h"

namespace Fanel
{


class OoXmlMemFile : public CZipMemFile
{
public:
	OoXmlMemFile(long nGrowBy = 1024) 
		: CZipMemFile(nGrowBy) { } 

	OoXmlMemFile(BYTE* lpBuf, UINT nBufSize, long nGrowBy = 0) 
		: CZipMemFile(lpBuf, nBufSize, nGrowBy ) { } 


	const char* ReadNextXmlChunk(int& nLenght);


private:
};



}